Name:		mfoc	
Version:	0.09
Release:	1%{?dist}
Summary:	Mifare Classic Offline Cracker

Group:		Development/Tools
License:	GPLv2+
URL:		http://code.google.com/p/nfc-tools/
Source0:	http://nfc-tools.googlecode.com/files/mfoc-%{version}.tar.gz
Patch1:		mfoc_cmake_build.patch
Patch2:		mfoc_no_config_h.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	cmake
BuildRequires:	crapto1-devel
BuildRequires:	libnfc-devel

%description
Mifare Classic Offline Cracker performing the "offline nested" attack
on Mifare Classic cards. 

%prep
%setup -q 
%patch1 -p1
%patch2 -p1

# remove bundled crapto1 sources
(cd src && rm crapto1.c crapto1.h crypto1.c)

%build
%cmake .
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS
%{_bindir}/%{name}

%changelog
* Wed Nov  3 2010 François Kooman <fkooman@tuxed.net> - 0.09-1.fc14
- update to version from nfc-tools project to compile against latest libnfc

* Wed May 12 2010 François Kooman <fkooman@tuxed.net> - 0.0.8-3
- depend on crapto1 package
- drop included crapto1 sources

* Mon May 10 2010 François Kooman - 0.0.8-2
- remove openssl-devel dependency, not needed
- fix patch to not include CMake files twice

* Sat May 08 2010 F. Kooman <fkooman@tuxed.net> - 0.0.8-1
- initial Fedora package

